Summary:		IETF's iCalendar Calendaring and Scheduling protocols.
Name:			libical-sope
Version:		%{libical_version}
Release:		%{libical_release}.%{libical_buildcount}%{dist_suffix}
Vendor:			OpenGroupware.org
Packager:		Frank Reppin <frank@opengroupware.org>	
License:		LGPL
URL:			http://www.softwarestudio.org/libical
Group:			Development/Libraries
AutoReqProv:	off
Source:			%{libical_source}
Prefix:			%{libical_prefix}
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Libical is an Open Source implementation of the IETF's iCalendar Calendaring
and Scheduling protocols. (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating the component
properties, parameters, and subcomponents.

%prep
rm -fr ${RPM_BUILD_ROOT}
%setup -n libical-sope

# ****************************** build ********************************
%build
source %{prefix}/OGo-GNUstep/Library/Makefiles/GNUstep.sh
./cfg-gnustep.sh
make %{libical_makeflags} all

# ****************************** install ******************************
%install
source %{prefix}/OGo-GNUstep/Library/Makefiles/GNUstep.sh

make %{libical_makeflags} DESTDIR=${RPM_BUILD_ROOT} \
                          FHS_INSTALL_ROOT=${RPM_BUILD_ROOT}%{prefix} \
                          install

rm -f ${RPM_BUILD_ROOT}%{prefix}/OGo-GNUstep/Library/Libraries/libical.la
rm -f ${RPM_BUILD_ROOT}%{prefix}/OGo-GNUstep/Library/Libraries/libical.so.0.0.0
rm -f ${RPM_BUILD_ROOT}%{prefix}/OGo-GNUstep/Library/Libraries/libicalss.la
rm -f ${RPM_BUILD_ROOT}%{prefix}/OGo-GNUstep/Library/Libraries/libicalss.so.0.0.0
rm -f ${RPM_BUILD_ROOT}%{prefix}/OGo-GNUstep/Library/Libraries/libicalvcal.la
rm -f ${RPM_BUILD_ROOT}%{prefix}/OGo-GNUstep/Library/Libraries/libicalvcal.so.0.0.0

# ****************************** post *********************************
%post
if [ $1 = 1 ]; then
  if [ -d %{_sysconfdir}/ld.so.conf.d ]; then
    echo "%{prefix}/lib" > %{_sysconfdir}/ld.so.conf.d/libical-sope.conf
  elif [ ! "`grep '%{prefix}/lib' %{_sysconfdir}/ld.so.conf`" ]; then
    echo "%{prefix}/lib" >> %{_sysconfdir}/ld.so.conf
  fi
  /sbin/ldconfig
fi

# ****************************** postun *********************************
%postun
if [ $1 = 0 ]; then
  if [ -e %{_sysconfdir}/ld.so.conf.d/libical-sope.conf ]; then
    rm -f %{_sysconfdir}/ld.so.conf.d/libical-sope.conf
  fi
  /sbin/ldconfig
fi

# ****************************** clean ********************************
%clean
rm -fr ${RPM_BUILD_ROOT}

# ****************************** files ********************************
%files
%defattr(-,root,root,-)
%{prefix}/OGo-GNUstep/Library/Headers/ical.h
%{prefix}/OGo-GNUstep/Library/Headers/icalss.h
%{prefix}/OGo-GNUstep/Library/Headers/libicalvcal/icalvcal.h
%{prefix}/OGo-GNUstep/Library/Headers/libicalvcal/port.h
%{prefix}/OGo-GNUstep/Library/Headers/libicalvcal/vcaltmp.h
%{prefix}/OGo-GNUstep/Library/Headers/libicalvcal/vcc.h
%{prefix}/OGo-GNUstep/Library/Headers/libicalvcal/vobject.h
%{prefix}/OGo-GNUstep/Library/Libraries/libical.a
%{prefix}/OGo-GNUstep/Library/Libraries/libicalss.a
%{prefix}/OGo-GNUstep/Library/Libraries/libicalvcal.a

# ********************************* changelog *************************
%changelog
